<template>
  <div class="auth-page">
    <div class="container page">
      <div class="row">
        <div class="col-md-6 offset-md-3 col-xs-12 box-body">
          <ul class="error-messages" v-if="loginError">
            <li>{{ loginError }}</li>
          </ul>

          <form>
            <fieldset class="form-group">
              <el-input size="large" placeholder="ชื่อผู้ใช้งาน" v-model="username" ref="userNameInput">
                <i slot="prefix" class="el-input__icon el-icon-user"/>
                <i slot="suffix" class="el-input__icon el-icon-circle-close" style="cursor: pointer"
                   @click="clearInput()"/>
              </el-input>
            </fieldset>
            <fieldset class="form-group">
              <el-input size="large" placeholder="รหัสผ่าน" v-model="password" show-password>
                <i slot="prefix" class="el-input__icon el-icon-unlock"/>
              </el-input>
            </fieldset>
            <el-button type="primary" @click="login()" class="pull-xs-right">เข้าสู่ระบบ</el-button>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import users from '@/store/auth/user.module';

  @Component
export default class Login extends Vue {
    username = '';

    password = '';

    loginError = '';

    login() {
      users
        .login({
          username: this.username,
          password: this.password,
        })
        .then(() => {
          console.log('login success');
          this.$router.push('/home');
        })
        .catch((err) => {
          console.error(err);
          this.loginError = 'Invalid username or password';
        });
    }

    clearInput() {
      this.username = '';
      this.password = '';

      const element = (this.$refs.userNameInput as HTMLFormElement);
      element.focus();
    }
}
</script>
<style>
  .auth-page {
    padding-top: 17%;
  }

  .box-body {
    padding: 2rem;
    background: rgba(255, 200, 20, 0.671);
    border: 0;
    border-radius: 1rem;
  }
</style>
